Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LampSound Class Reference

Lampサウンド. More...

`#include <LampSound.h>`

List of all members.

## Static Public Member Functions
bool | initialize (HWND windowHandle)
| 初期化
void | finalize ()
| 後始末
void | presentation ()
| プレゼンテーション
int | getSample ()
| サンプル数の取得
int | getChannel ()
| チャンネル数の取得
int | getBit ()
| ビット数の取得
String | toString ()
| 文字列への変換
SoundCapacity * | getCapacity ()
| サウンド能力の取得
SoundManager * | getSoundManager ()
| サウンドマネージャの取得
SoundListener * | getSoundListener ()
| サウンドリスナの取得

## Detailed Description

Lampサウンド.

他のアプリケーションが流している音にも影響を与えてしまうので、プライマリバッファに 対してのボリューム操作は行わない。

Definition at line 41 of file LampSound.h.

## Member Function Documentation

int Lamp::LampSound::getBit | ( |  | ) | `[inline, static]`

| ビット数の取得 Returns: ビット数 Definition at line 81 of file LampSound.h. References Assert. Referenced by toString().

SoundCapacity* Lamp::LampSound::getCapacity | ( |  | ) | `[inline, static]`

| サウンド能力の取得 Returns: サウンド能力 Definition at line 94 of file LampSound.h. References Assert.

int Lamp::LampSound::getChannel | ( |  | ) | `[inline, static]`

| チャンネル数の取得 Returns: チャンネル数 Definition at line 75 of file LampSound.h. References Assert. Referenced by toString().

int Lamp::LampSound::getSample | ( |  | ) | `[inline, static]`

| サンプル数の取得 Returns: サンプル数 Definition at line 69 of file LampSound.h. References Assert. Referenced by toString().

SoundListener* Lamp::LampSound::getSoundListener | ( |  | ) | `[inline, static]`

| サウンドリスナの取得 Returns: サウンドリスナ Definition at line 114 of file LampSound.h. References Assert.

SoundManager* Lamp::LampSound::getSoundManager | ( |  | ) | `[inline, static]`

| サウンドマネージャの取得 Returns: サウンドマネージャ Definition at line 104 of file LampSound.h. References Assert.

bool Lamp::LampSound::initialize | ( | HWND | windowHandle | ) | `[static]`

  | 初期化 Parameters:
  windowHandle | ウィンドウハンドル
Returns: 初期化に成功すればtrue Definition at line 55 of file LampSound.cpp. References DirectXFailed, ErrorOut, Lamp::SoundCapacity::initialize(), and NULL.

void Lamp::LampSound::presentation | ( |  | ) | `[static]`

| プレゼンテーション 描画ループ毎に呼んでください。 フェードや3Dサウンドパラメータが適用されます。 Definition at line 150 of file LampSound.cpp. References Lamp::SoundListener::apply3DSettings(), and Lamp::SoundManager::update().

String Lamp::LampSound::toString | ( |  | ) | `[static]`

| 文字列への変換 Returns: 文字列 Definition at line 159 of file LampSound.cpp. References Assert, Lamp::String::format(), getBit(), getChannel(), and getSample().

The documentation for this class was generated from the following files:

- LampSound.h
- LampSound.cpp